> For the complete documentation index, see [llms.txt](https://docs.kbase.us/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kbase.us/apps/analysis/metagenomics.md).

# Metagenomics & Community Exploration

KBase has a multitude of [Apps designed to analyze microbial communities and metagenomic reads data](https://kbase.us/applist/#Microbial%20Communities). They provide a way to understand the functional interactions between species in microbial communities. Annotated genomes extracted from metagenomic sequence libraries can be used for metabolic modeling, comparative phylogenomics, functional profiling, and more.

### **Metagenomic Read Analysis & Assembly**

* [FastQC](https://kbase.us/applist/apps/kb_fastqc/runFastQC/release)  – Raw read quality control and analysis&#x20;
* [Trim Reads with Trimmomatic](https://kbase.us/applist/apps/kb_trimmomatic/run_trimmomatic/release) – Read trimming and adaptor removal
* [Kaiju](https://kbase.us/applist/apps/kb_kaiju/run_kaiju/release) – Taxonomy assignment of raw metagenomic reads
* [MEGAHIT](https://kbase.us/applist/apps/MEGAHIT/run_megahit/release) – Assemble large and complex metagenomic reads
* [MetaSPAdes](https://kbase.us/applist/apps/kb_SPAdes/run_metaSPAdes/release) – Assemble shotgun metagenomic reads
* [IDBA-UD](https://kbase.us/applist/apps/kb_IDBA/run_idba_ud/release) – Assemble short metagenomic reads

### Contig Binning, Optimization, and Quality Analysis&#x20;

* [MaxBin2](https://kbase.us/applist/apps/kb_maxbin/run_maxbin2/release) – Group metagenomic contigs using depth-of-coverage, nucleotide composition, and marker genes
* [MetaBAT2](https://kbase.us/applist/apps/metabat/run_metabat/release) – Group metagenomic contigs using strain abundance and nucleotide composition
* [CONCOCT](https://kbase.us/applist/apps/kb_concoct/run_kb_concoct/release) – Group metagenomic contigs using depth-of-coverage and nucleotide composition
* [DAS-Tool](https://kbase.us/applist/apps/kb_das_tool/run_kb_das_tool/release) – Optimizes bacterial or archaeal genome bins using a de-replication, aggregation and scoring strategy
* [CheckM ](https://kbase.us/applist/apps/kb_Msuite/run_checkM_lineage_wf/release)– Assess genome and MAG quality
* [Jorg](https://kbase.us/applist/apps/kb_jorg/run_kb_jorg/beta) ([in beta](/apps/beta.md))– Improve and circularize single-genome assemblies and MAGs
* [Circos](https://kbase.us/applist/apps/kb_circos/run_kb_circos/beta) ([in beta](/apps/beta.md)) – Visualize assembly coverage&#x20;

### **Community Exploration**

* RAST for [Multiple Microbial Genomes](https://kbase.us/applist/apps/RAST_SDK/reannotate_microbial_genomes/release) and [Multiple Microbial Assemblies](https://kbase.us/applist/apps/RAST_SDK/annotate_contigsets/release) – Annotate multiple bacterial or archaeal genomes and assemblies or sets using RASTtk
* [Annotate and Distill Genomes with DRAM](https://kbase.us/applist/apps/kb_DRAM/run_kb_dram_annotate/release) – Annotates Metagenome Assembled Genomes (MAGs) and provides an interactive functional summary per genome
* [dRep](https://kbase.us/applist/apps/kb_dRep/run_dereplicate/beta) ([in beta](/apps/beta.md)) – Dereplicate binned contigs, assemblies, and genomes using nucleotide similarity&#x20;
* [VirSorter](https://kbase.us/applist/apps/VirSorter/run_VirSorter/release) – Identify viral sequences from viral and microbial metagenomes
* [Classify Microbes with GTDB-Tk](https://kbase.us/applist/apps/kb_gtdbtk/run_kb_gtdbtk_classify_wf/release)  – Assign taxonomy to isolate and classify Metagenome Assembled Genomes (MAGs) using Genome Taxonomy Database (GTDB) genome taxonomy
* [ModelSEED](https://kbase.us/applist/apps/fba_tools/build_multiple_metabolic_models/release) – Generate and merge metabolic models from annotated genomes
* [Phylogenetic Pangenome Accumulation](https://kbase.us/applist/apps/kb_phylogenomics/view_pan_phylo/release) – Produce phylogenetic trees from annotated genomes
* [Metabolic modeling tools for microbial communities](/apps/analysis/metabolic-modeling.md#microbial-communities) – analyze community metabolism


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kbase.us/apps/analysis/metagenomics.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
